#
#  Functions to handle the selection of elements and edges.
#
#
#  Copyright 1999 Illinois Institute of Technology
#
#  See the file "LICENSE" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

proc create_element_list {} {

	set array IMCAGui::edge_array

	set channel [ open $IMCAGui::element_filename r ]

	set line [ gets $channel ]

	while { [ eof $channel ] == 0 } {

		scan $line "%g %s %g %s %g %g %g %g" Z symbol A edge \
				k_edge l1_edge l2_edge l3_edge

#		puts "Z = $Z, symbol = $symbol, A = $A, edge = $edge"
#		puts \
#		"    K = $k_edge, L1 = $l1_edge, L2 = $l2_edge, L3 = $l3_edge"

		set cmd "set energy \$${edge}_edge"

		eval $cmd

		set IMCAGui::edge_array($symbol.$edge) $energy

		set line [ gets $channel ]
	}

#	foreach name [ array names IMCAGui::edge_array ] {
#
#		puts "$name energy = $IMCAGui::edge_array($name)"
#	}

	close $channel
}

